Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.jaxp
Class BXPathExpression

    java.lang.Object
      org.basex.api.jaxp.BXPathExpression

All Implemented Interfaces:
  javax.xml.xpath.XPathExpression

    public final class BXPathExpression

extends java.lang.Object
implements javax.xml.xpath.XPathExpression

This class provides an API for standalone XPath processing.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`BXPathExpression(java.lang.String qu)` Constructor.

Method Summary
`java.lang.String` | `evaluate(org.xml.sax.InputSource is)`
`java.lang.Object` | `evaluate(org.xml.sax.InputSource is, javax.xml.namespace.QName res)`
`java.lang.String` | `evaluate(java.lang.Object item)`
`java.lang.Object` | `evaluate(java.lang.Object item, javax.xml.namespace.QName res)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXPathExpression

    public BXPathExpression(java.lang.String qu)

  Constructor.

  Parameters:
    `qu` - query

Method Detail

### evaluate

    public java.lang.String evaluate(java.lang.Object item)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPathExpression`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

### evaluate

    public java.lang.String evaluate(org.xml.sax.InputSource is)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPathExpression`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

### evaluate

    public java.lang.Object evaluate(java.lang.Object item,
                                     javax.xml.namespace.QName res)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPathExpression`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

### evaluate

    public java.lang.Object evaluate(org.xml.sax.InputSource is,
                                     javax.xml.namespace.QName res)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPathExpression`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD